# AccountChannelsResponse | xrpl
Documentation for xrpl

# Interface AccountChannelsResponse

The expected response from an AccountChannelsRequest.

#### Hierarchy

- BaseResponse
  - AccountChannelsResponse

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:67

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
account: string;
channels: Channel[];
ledger_hash: string;
ledger_index: number;
limit?: number;
marker?: unknown;
validated?: boolean;
}

#### Type declaration

- ##### account: string

  The address of the source/owner of the payment channels. This corresponds to the account field of the request.

- ##### channels: Channel[]

  Payment channels owned by this account.

- ##### ledger_hash: string

  The identifying hash of the ledger version used to generate this response.

- ##### ledger_index: number

  The ledger index of the ledger version used to generate this response.

- ##### `Optional` limit?: number

  The limit to how many channel objects were actually returned by this request.

- ##### `Optional` marker?: unknown

  Server-defined value for pagination. Pass this to the next call to resume getting results where this call left off. Omitted when there are no additional pages after this one.

- ##### `Optional` validated?: boolean

  If true, the information in this response comes from a validated ledger version. Otherwise, the information is subject to change.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/accountChannels.ts:68

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc